org.richfaces.renderkit

## Class NotifyRendererUtils

- java.lang.Object
- - org.richfaces.renderkit.NotifyRendererUtils

-     public class NotifyRendererUtils
      extends Object

  Author:
    Lukas Fryc, Brian Leathem

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotifyRendererUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addFacetOrAttributeAsOption(String name, Map<String,Object> options, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `static void` | `addStackIdOption(Map<String,Object> options, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `static String` | `getStackId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotifyRendererUtils

          public NotifyRendererUtils()

  - ### Method Detail

    - #### getStackId

          public static String getStackId(javax.faces.context.FacesContext facesContext,
                                          javax.faces.component.UIComponent component)

    - #### addStackIdOption

          public static void addStackIdOption(Map<String,Object> options,
                                              javax.faces.context.FacesContext facesContext,
                                              javax.faces.component.UIComponent component)

    - #### addFacetOrAttributeAsOption

          public static void addFacetOrAttributeAsOption(String name,
                                                         Map<String,Object> options,
                                                         javax.faces.context.FacesContext facesContext,
                                                         javax.faces.component.UIComponent component)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.